Miridia
Portal
Integrations

Triggers

The triggers operations of the Core API.

Base URL: https://api.miridia.io. Read Authentication and Conventions before you call these operations.

MethodPathOperation
GET/api/Triggers/{entityType}Get workflow triggers

Get workflow triggers

GET/api/Triggers/{entityType}

Access. Send a bearer token or an API key. The caller needs the Workflows view permission.

Parameters

NameInTypeRequiredDescription
entityTypepathenum DispatchEntityTypeYesOne of: None, Customer, Contact, Product, Order, Shipment, IntegrationProvider, Address, Business, Notification, Package, Supplier, User, WorkOrder, TransferOrder, PurchaseOrder, Bom, Vehicle.

Response

200. Returns a JSON array. Each item is WorkflowTriggerResponse.

Request
curl -X GET "https://api.miridia.io/api/Triggers/{entityType}" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"
Response
[
  {
    "id": 0,
    "entityType": "Customer",
    "title": "string",
    "eventTitle": "string"
  }
]

Models

The operations on this page use these object types. Select a type to see its fields.

WorkflowTriggerResponse
FieldTypeDescription
idinteger (int32)
entityTypeenum DispatchEntityTypeOne of: None, Customer, Contact, Product, Order, Shipment, IntegrationProvider, Address, Business, Notification, Package, Supplier, User, WorkOrder, TransferOrder, PurchaseOrder, Bom, Vehicle.
titlestring
eventTitlestring